%global fontname cf-sorts-mill-goudy
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        3.0 
Release:        2%{?dist}
Summary:        Goudy Oldstyle and Italic fonts  

Group:          User Interface/X
License:        MIT
URL:            http://home.comcast.net/~crudfactory/cf3/index.html
Source0:        http://home.comcast.net/%7Ecrudfactory/cf3/fonts/goudy-3.0.zip
Source1:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Obsoletes:       ofl-sorts-mill-goudy-fonts < 3.0-2


%description
Goudy Oldstyle and Italic (based on ATF foundry type) 

%prep
%setup -q -c 
for file in LICENSE; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.otf

%doc LICENSE



%changelog
* Mon Jun 14 2010 Parag Nemade <pnemade AT redhat.com> - 3.0-2
- Renamed to follow fonts package naming guidelines.

* Thu May 27 2010 Parag Nemade <pnemade AT redhat.com> - 3.0-1
- Initial Fedora release.

